---
Name: esxi/generate-random-password
Description: "Randomly generate an insecure cleartext password for ESXi."
Documentation: |
  If specified, the `esxi-insecure-password.sh.tmpl` template will dynamically
  generate a random password.  This will be recorded in the insecure
  param `esxi/insecure-password`, then converted to a SHA512 hash value
  used to set the root/admin password.

  Future iterations of this may include the ability to store the generated
  password on a remote password keeper, secrets vault, or whatever.

  !!! note
      If the `esxi/insecure-password` is set, then the random generate
      request (`esxi/generate-random-password` = true) will be ignored.

  !!! note
      There is currently no plumbing to get a remote password
      for use in the install.

  !!! note
      This does NOT treat the password securely.  Future versions
      should specify use of the RackN "encrypted params" feature to protect
      the clear text password value.

  The default operation is to not generate a random password, but to use
  the value set in the `esxi/insecure-password` param.

Meta:
  color: blue
  icon: hashtag
  title: RackN Content
ReadOnly: true
Schema:
  type: boolean
  default: false
Secure: false
